View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000190: let nar file support password and 7-zip
Description

Just for COOL

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2021-06-26 00:33

administrator   ~0000417

zip password support is cool. I'll try to support it.

Previously, I've decided not to implement 7-zip support, to avoid unexpected code licensing issue and implementation cost.
I know 7-zip is licensed by "L"GPL and can dynamic-link to closed source software, but currently I think old zip compression ratio is still enough.

guest

2021-06-30 12:58

reporter   ~0000448

Only support the password of NAR it's also very good. Do it as you please
As for GPL, I understand that
Especially if the function you want to use can only be provided by AGPL project..

ponapalt

2021-08-07 12:41

administrator   ~0000503

Please try 2.5.08

Issue History

Date Modified Username Field Change
2021-06-25 20:58 guest New Issue
2021-06-26 00:24 ponapalt Assigned To => ponapalt
2021-06-26 00:24 ponapalt Status new => assigned
2021-06-26 00:33 ponapalt Status assigned => feedback
2021-06-26 00:33 ponapalt Note Added: 0000417
2021-06-30 12:58 guest Note Added: 0000448
2021-06-30 12:58 guest Status feedback => assigned
2021-08-07 12:41 ponapalt Status assigned => closed
2021-08-07 12:41 ponapalt Resolution open => fixed
2021-08-07 12:41 ponapalt Note Added: 0000503
2021-08-13 17:26 ponapalt Fixed in Version => 2.5 (リリース)